﻿using Amazon.SQS;
using Bogus;
using System.Text.Json;

var people = People.GetList(1);
AmazonSQSClient client = new AmazonSQSClient();

foreach (var person in people)
{
    Console.WriteLine($"Sending {person.FirstName} {person.LastName} to SQS... ");
    await client.SendMessageAsync( new Amazon.SQS.Model.SendMessageRequest
    {
        QueueUrl = "https://sqs.us-east-1.amazonaws.com/0123456789/my-first-queue",
        MessageBody = JsonSerializer.Serialize(person)
    });
}

public class People
{
    public static IEnumerable<Person> GetList(int count)
    {
        var personFaker = new Faker<Person>()
            .RuleFor(p => p.FirstName, f => f.Name.FirstName())
            .RuleFor(p => p.LastName, f => f.Name.LastName())
            .RuleFor(p => p.DateOfBirth, f => f.Date.Past(100));
        
        return personFaker.Generate(count);
    }
}
public class Person
{
    public string FirstName { get; set; }
    public string LastName { get; set; }
    public DateTime DateOfBirth { get; set; }
}